Subject: Re: bug#78813: feature/igc: [PATCH] Make the array face_attr_sym readonly

From: Pip Cet <[email-masked]>
Date: Tue, 17 Jun 2025 15:28:57 +0000

"Helmut Eller" <[email-masked]> writes:

> Tags: patch
>
> This is a proposal to make the variable face_attr_sym const.  Mostly so
> that it's more obvious that it doesn't need to be traced by the GC.

Makes sense to me, but should be on master.  Is this okay for master?

There are alternatives, such as using switch statements rather than a
const array, which is what the rest of the code in xfaces.c does.

In any case, we should also add a comment explaining the unusual GC
situation, unless we can resolve it entirely by using a staticpro'd
vector or something.

Pip